var $AdfDhtmlResetButtonPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlResetButtonPeer");
$goog$exportSymbol$$("AdfDhtmlResetButtonPeer", $AdfDhtmlResetButtonPeer$$);
$AdfDhtmlResetButtonPeer$$.$InitSubclass$ = function $$AdfDhtmlResetButtonPeer$$$$InitSubclass$$() {
  this.$_NO_DEFAULT_BEHAVIOR$ = "return false;";
  this.$_ON_CLICK_ATTRIBUTE$ = "onclick";
  this.$_changedComponents$ = [];
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichResetButton.TEXT);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichResetButton.TEXT);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlResetButtonPeer.InitSubclass", $AdfDhtmlResetButtonPeer$$.$InitSubclass$);
$AdfDhtmlResetButtonPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlResetButtonPeer$$$$$InitDomElement$$($component$$1918$$, $domElement$$422$$) {
  $AdfDhtmlResetButtonPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1918$$, $domElement$$422$$);
  $domElement$$422$$.setAttribute($AdfDhtmlResetButtonPeer$$.$_ON_CLICK_ATTRIBUTE$, $AdfDhtmlResetButtonPeer$$.$_NO_DEFAULT_BEHAVIOR$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlResetButtonPeer$$.prototype.$InitDomElement$});
$AdfDhtmlResetButtonPeer$$.prototype.$ComponentTextChanged$ = $AdfDomUtils$$.$__componentTextChanged$;
$AdfDhtmlResetButtonPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlResetButtonPeer$$$$$GetComponentText$$($component$$1919$$, $domElement$$423$$) {
  return $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$423$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlResetButtonPeer$$.prototype.$GetComponentText$});
$AdfDhtmlResetButtonPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlResetButtonPeer$$$$$HandleComponentClick$$($componentEvent$$419$$) {
  var $component$$1920$$ = this.$getComponent$();
  !$component$$1920$$.getDisabled() && $componentEvent$$419$$.$isLeftButtonPressed$() && $AdfResetEvent$$.$queue$($component$$1920$$, !0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlResetButtonPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlResetButtonPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlResetButtonPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleTextEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlResetButtonPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlResetButtonPeer$$.prototype.$GetInlineEditor$});
